---
title: "Leave Room"
slug: "leave-room"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Leave Room

Post/api/v1/rooms.leave

Leave a room. The following permissions are required:

- `leave-c`: To leave a public room.
- `leave-p`: To leave private room.

### Changelog

| Version | Description |
| --- | --- |
| 0.72.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='72be2b57-b12b-4a21-a41c-bd9312871495'>application/json</option>
</select>object  roomIdstring    

The room ID that you want to leave.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='02b76607-2882-4e6f-a7b8-aa0c077a9656'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e118a168-2654-4499-aa36-a707715f1c49'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='80e122e5-cc64-4a0e-82f7-5cfade0b1266'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f3a57048-399b-4052-ad67-25d74dc3c9e3'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
